#
# spec file for package virt-bridge-setup
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           virt-bridge-setup
Version:        0.3
Release:        1.1
Summary:        Script to setup virtual bridges
License:        GPL-2.0-or-later
Group:          System/Management
URL:            https://github.com/aginies/virt-bridge-setup
Source0:        https://github.com/aginies/virt-bridge-setup/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch
Requires:       NetworkManager
BuildRequires:       make

%description
virt-bridge-setup is a script to automate the setup of virtual bridges using NetworkManager.
It simplifies the process of creating and managing network bridges for virtualization environments.

%prep
%setup -q

%build

%install
%make_install

%files
%license LICENSE
%doc README.md
%attr(0755,root,root) %{_sbindir}/%{name}

%changelog
* Fri Mar  7 2025 Antoine Ginies <aginies@suse.com>
- use %%make_install
- use _service and fix url in spec file
* Thu Mar  6 2025 Antoine Ginies <aginies@suse.com>
- Do not clean buildroot in install section
- make is a buildRequires
- remove 'env' in the shebang
* Wed Mar  5 2025 Antoine Ginies <aginies@suse.com>
- 0.2 version: cosmetics fix in doc
* Tue Mar  4 2025 Antoine Ginies <aginies@suse.com>
- use bz2 tarball
- add README.md and Makefile
* Tue Mar  4 2025 Antoine Ginies <aginies@suse.com>
- initial release
